petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatFreeIntermediateDataStructures

Free intermediate data structures created for reuse, e.g., matrx product of MatPtAP.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFreeIntermediateDataStructures(Mat mat)

Collective on mat

### Input Parameters

mat -the matrix

### Output Parameter

mat -the matrix with intermediate data structures released

### Notes

### See Also

MatPtAP(), MatMatMult()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatFreeIntermediateDataStructures_MPIAIJ_BC in src/mat/impls/aij/mpi/mpimatmatmatmult.c
MatFreeIntermediateDataStructures_MPIAIJ_AP in src/mat/impls/aij/mpi/mpiptap.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages